Subject: Re: MySQL server under cygwin
From: "Terry Flannery" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 28 Jul 2002 16:59:08 +0100

It works now... how embarrassing that I didn't notice that I had to use
127.0.0.1 instead of localhost as argument to --host to force it to use tcp
rather than a socket.

By the way, can you shed some more light on the reasons behind the server
not running properly under cygwin? I would be willing to help resolve the
issue in any way I can. I am not currently familiar with the internals of
MySQL, but will soon be since I have to make many modifications for my
current projects.

Thanks,
Terry

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>
To: "Terry Flannery" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, July 28, 2002 2:41 PM
Subject: Re: MySQL server under cygwin

> Hallo Terry,
>
> Am Sonntag, 28. Juli 2002 um 15:07 schriebst du:
>
> > I have tried that, but no client applications can connect to the windows
> > version of the server, instead they die with
> > "ERROR 2002: Can't connect to local MySQL server through socket
> > '/tmp/mysql.sock' (2)"
>
> > I think i need to link them with the import library for the windows
version
> > of the server, but then i get undefined references to loads of functions
> > defined in libmysqlclient.a but not in libmySQL.dll, such as the mysql
> > striing functions and many of the 'mysys' functions.
>
> > How have you resolved this?
>
> Try to use TCP/IP instaed of a socket.
>
>
> Gerrit
> --
> =^..^=
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/